# Python v3 base layer
FROM {{ item[1].image }}

# Set the working directory in the image's file system
WORKDIR /tmp

# Copy everything in the host working directory to the container's directory
COPY . .

# Install code dependencies in requirements.txt
RUN pip3 install --upgrade pip && pip3 install --no-cache-dir -r requirements.txt

CMD exec /bin/bash -c "trap : TERM INT; sleep infinity & wait"